Index: application/showcase/source/class/showcase/Application.js
===================================================================
--- application/showcase/source/class/showcase/Application.js	(Revision 6514)
+++ application/showcase/source/class/showcase/Application.js	(Arbeitskopie)
@@ -126,6 +126,14 @@
       var page = new qx.ui.pageview.buttonview.Page(bt);
       barView.getPane().add(page);
 
+      page.set(
+      {
+        left   : 0,
+        right  : 0,
+        top    : 0,
+        bottom : 0
+      });
+
       widget.setLocation(0, 0);
 
       widget.set(
Index: framework/source/class/qx/core/Variant.js
===================================================================
--- framework/source/class/qx/core/Variant.js	(Revision 6514)
+++ framework/source/class/qx/core/Variant.js	(Arbeitskopie)
@@ -293,7 +293,7 @@
   defer : function(statics)
   {
     statics.define("qx.debug", [ "on", "off" ], "on");
-    statics.define("qx.compatibility", [ "on", "off" ], "off");
+    statics.define("qx.compatibility", [ "on", "off" ], "on");
 
     statics.__init();
   }
Index: framework/source/class/qx/theme/appearance/Classic.js
===================================================================
--- framework/source/class/qx/theme/appearance/Classic.js	(Revision 6514)
+++ framework/source/class/qx/theme/appearance/Classic.js	(Arbeitskopie)
@@ -14,14 +14,16 @@
      See the LICENSE file in the project's top-level directory for details.
 
    Authors:
-   * Sebastian Werner (wpbasti)
-   * Andreas Ecker (ecker)
-   * Til Schneider (til132)
+ * Sebastian Werner (wpbasti)
+ * Andreas Ecker (ecker)
+ * Til Schneider (til132)
 
  ************************************************************************ */
 
 /* ************************************************************************
 
+#module(ui_core)
+#module(theme_appearance)
 #ignore(auto-use)
 #embed(qx.static/image/dotted_white.gif)
 #embed(qx.static/image/blank.gif)
Index: framework/source/class/qx/theme/widget/Windows.js
===================================================================
--- framework/source/class/qx/theme/widget/Windows.js	(Revision 6514)
+++ framework/source/class/qx/theme/widget/Windows.js	(Arbeitskopie)
@@ -20,6 +20,8 @@
 
 /* ************************************************************************
 
+#module(ui_core)
+#module(theme_widget)
 #resource(widgettheme:widget/Windows)
 
 ************************************************************************ */
@@ -27,11 +29,30 @@
 /**
  * Default qooxdoo widget theme
  */
-qx.Theme.define("qx.theme.widget.Windows",
+qx.Clazz.define("qx.theme.widget.Windows",
 {
-  title : "Windows",
+  type : "singleton",
+  extend : qx.renderer.theme.WidgetTheme,
 
-  widgets : {
-    uri : qx.core.Setting.get("qx.resourceUri") + "/widget/Windows"
+
+
+
+  /*
+  *****************************************************************************
+     CONSTRUCTOR
+  *****************************************************************************
+  */
+
+  construct : function()
+  {
+    qx.renderer.theme.WidgetTheme.call(this, "Windows");
+
+    this.uri = qx.core.Setting.get("qx.resourceUri") + "/widget/Windows";
+  },
+  
+  defer : function(clazz)
+  {
+    qx.manager.object.ImageManager.getInstance().registerWidgetTheme(clazz);    
   }
+    
 });
Index: framework/source/class/qx/theme/icon/Nuvola.js
===================================================================
--- framework/source/class/qx/theme/icon/Nuvola.js	(Revision 6514)
+++ framework/source/class/qx/theme/icon/Nuvola.js	(Arbeitskopie)
@@ -20,6 +20,7 @@
 
 /* ************************************************************************
 
+#module(theme_icon)
 #resource(icontheme:icon/Nuvola)
 
 ************************************************************************ */
@@ -30,11 +31,30 @@
  * License: LGPL
  * Home: http://www.kde-look.org/content/show.php?content=5358
  */
-qx.Theme.define("qx.theme.icon.Nuvola",
+qx.Clazz.define("qx.theme.icon.Nuvola",
 {
-  title : "Nuvola",
+  type : "singleton",
+  extend : qx.renderer.theme.IconTheme,
 
-  icons : {
-    uri : qx.core.Setting.get("qx.resourceUri") + "/icon/Nuvola"
+
+
+
+  /*
+  *****************************************************************************
+     CONSTRUCTOR
+  *****************************************************************************
+  */
+
+  construct : function()
+  {
+    qx.renderer.theme.IconTheme.call(this, "Nuvola");
+
+    this.uri = qx.core.Setting.get("qx.resourceUri") + "/icon/Nuvola";
+  },
+  
+  defer : function(clazz)
+  {
+    qx.manager.object.ImageManager.getInstance().registerIconTheme(clazz);    
   }
+    
 });
Index: framework/source/class/qx/theme/icon/VistaInspirate.js
===================================================================
--- framework/source/class/qx/theme/icon/VistaInspirate.js	(Revision 6514)
+++ framework/source/class/qx/theme/icon/VistaInspirate.js	(Arbeitskopie)
@@ -20,6 +20,8 @@
 
 /* ************************************************************************
 
+#module(ui_core)
+#module(theme_icon)
 #resource(icontheme:icon/VistaInspirate)
 
 ************************************************************************ */
@@ -31,11 +33,30 @@
  * Home: http://www.kde-look.org/content/show.php?content=31585
  * Comment: Based on nuoveXT by the same author
  */
-qx.Theme.define("qx.theme.icon.VistaInspirate",
+qx.Clazz.define("qx.theme.icon.VistaInspirate",
 {
-  title : "VistaInspirate",
+  type : "singleton",
+  extend : qx.renderer.theme.IconTheme,
 
-  icons : {
-    uri : qx.core.Setting.get("qx.resourceUri") + "/icon/VistaInspirate"
+
+
+
+  /*
+  *****************************************************************************
+     CONSTRUCTOR
+  *****************************************************************************
+  */
+
+  construct : function()
+  {
+    qx.renderer.theme.IconTheme.call(this, "VistaInspirate");
+
+    this.uri = qx.core.Setting.get("qx.resourceUri") + "/icon/VistaInspirate";
+  },
+  
+  defer : function(clazz)
+  {
+    qx.manager.object.ImageManager.getInstance().registerIconTheme(clazz);    
   }
+    
 });
Index: framework/source/class/qx/theme/icon/CrystalClear.js
===================================================================
--- framework/source/class/qx/theme/icon/CrystalClear.js	(Revision 6514)
+++ framework/source/class/qx/theme/icon/CrystalClear.js	(Arbeitskopie)
@@ -20,6 +20,8 @@
 
 /* ************************************************************************
 
+#module(ui_core)
+#module(theme_icon)
 #resource(icontheme:icon/CrystalClear)
 
 ************************************************************************ */
@@ -30,11 +32,31 @@
  * License: LGPL
  * Home: http://www.kde-look.org/content/show.php?content=25668
  */
-qx.Theme.define("qx.theme.icon.CrystalClear",
+qx.Clazz.define("qx.theme.icon.CrystalClear",
 {
-  title : "CrystalClear",
+  type : "singleton",
+  extend : qx.renderer.theme.IconTheme,
 
-  icons : {
-    uri : qx.core.Setting.get("qx.resourceUri") + "/icon/CrystalClear"
+
+
+
+  /*
+  *****************************************************************************
+     CONSTRUCTOR
+  *****************************************************************************
+  */
+
+  construct : function()
+  {
+    qx.renderer.theme.IconTheme.call(this, "CrystalClear");
+
+    this.uri = qx.core.Setting.get("qx.resourceUri") + "/icon/CrystalClear";
+  },
+  
+  defer : function(clazz)
+  {
+    qx.manager.object.ImageManager.getInstance().registerIconTheme(clazz);    
   }
+    
 });
+
Index: framework/source/class/qx/theme/icon/NuoveXT.js
===================================================================
--- framework/source/class/qx/theme/icon/NuoveXT.js	(Revision 6514)
+++ framework/source/class/qx/theme/icon/NuoveXT.js	(Arbeitskopie)
@@ -20,6 +20,8 @@
 
 /* ************************************************************************
 
+#module(ui_core)
+#module(theme_icon)
 #resource(icontheme:icon/NuoveXT)
 
 ************************************************************************ */
@@ -30,11 +32,30 @@
  * License: GPL & LGPL/EPL
  * Home: http://www.kde-look.org/content/show.php?content=26449
  */
-qx.Theme.define("qx.theme.icon.NuoveXT",
+qx.Clazz.define("qx.theme.icon.NuoveXT",
 {
-  title : "NuoveXT",
+  type : "singleton",
+  extend : qx.renderer.theme.IconTheme,
 
-  icons : {
-    uri : qx.core.Setting.get("qx.resourceUri") + "/icon/NuoveXT"
+
+
+
+  /*
+  *****************************************************************************
+     CONSTRUCTOR
+  *****************************************************************************
+  */
+
+  construct : function()
+  {
+    qx.renderer.theme.IconTheme.call(this, "NuoveXT");
+
+    this.uri = qx.core.Setting.get("qx.resourceUri") + "/icon/NuoveXT";
+  },
+  
+  defer : function(clazz)
+  {
+    qx.manager.object.ImageManager.getInstance().registerIconTheme(clazz);    
   }
+    
 });
Index: framework/source/class/qx/theme/color/System.js
===================================================================
--- framework/source/class/qx/theme/color/System.js	(Revision 6514)
+++ framework/source/class/qx/theme/color/System.js	(Arbeitskopie)
@@ -20,16 +20,39 @@
 
 /* ************************************************************************
 
+#module(theme_color)
+
 ************************************************************************ */
 
 /**
  * System color theme
  */
-qx.Theme.define("qx.theme.color.System",
+qx.Clazz.define("qx.theme.color.System",
 {
-  title : "Operating System Default",
+  type : "singleton",
+  extend : qx.renderer.theme.ColorTheme,
 
-  colors : {
-    // empty: use system colors
+
+
+
+  /*
+  *****************************************************************************
+     CONSTRUCTOR
+  *****************************************************************************
+  */
+
+  construct : function() {
+    qx.renderer.theme.ColorTheme.call(this, "Operating System Default");
+  },
+  
+  defer : function(clazz)
+  {
+    qx.manager.object.ColorManager.getInstance().registerColorTheme(clazz);    
   }
+  
 });
+
+
+
+
+
Index: framework/source/class/qx/theme/color/WindowsRoyale.js
===================================================================
--- framework/source/class/qx/theme/color/WindowsRoyale.js	(Revision 6514)
+++ framework/source/class/qx/theme/color/WindowsRoyale.js	(Arbeitskopie)
@@ -20,44 +20,86 @@
 
 /* ************************************************************************
 
+#module(ui_core)
+#module(theme_color)
+
 ************************************************************************ */
 
 /**
- * Windows Royale color theme
+ * Windows royale color theme
  */
-qx.Theme.define("qx.theme.color.WindowsRoyale",
+qx.Clazz.define("qx.theme.color.WindowsRoyale",
 {
-  title : "Windows Royale",
+  type : "singleton",
+  extend : qx.renderer.theme.ColorTheme,
 
-  colors :
+
+
+
+  /*
+  *****************************************************************************
+     CONSTRUCTOR
+  *****************************************************************************
+  */
+
+  construct : function() {
+    qx.renderer.theme.ColorTheme.call(this, "Windows Royale");
+  },
+
+
+
+
+  /*
+  *****************************************************************************
+     MEMBERS
+  *****************************************************************************
+  */
+
+  members :
   {
-    activeborder        : [ 212, 208, 200 ],
-    activecaption       : [ 51, 94, 168 ],
-    appworkspace        : [ 128, 128, 128 ],
-    background          : [ 0, 0, 64 ],
-    buttonface          : [ 235, 233, 237 ],
-    buttonhighlight     : [ 255, 255, 255 ],
-    buttonshadow        : [ 167, 166, 170 ],
-    buttontext          : [ 0, 0, 0 ],
-    captiontext         : [ 255, 255, 255 ],
-    graytext            : [ 167, 166, 170 ],
-    highlight           : [ 51, 94, 168 ],
-    highlighttext       : [ 255, 255, 255 ],
-    inactiveborder      : [ 212, 208, 200 ],
-    inactivecaption     : [ 111, 161, 217 ],
-    inactivecaptiontext : [ 255, 255, 255 ],
-    infobackground      : [ 255, 255, 225 ],
-    infotext            : [ 0, 0, 0 ],
-    menu                : [ 255, 255, 255 ],
-    menutext            : [ 0, 0, 0 ],
-    scrollbar           : [ 212, 208, 200 ],
-    threeddarkshadow    : [ 133, 135, 140 ],
-    threedface          : [ 235, 233, 237 ],
-    threedhighlight     : [ 255, 255, 255 ],
-    threedlightshadow   : [ 220, 223, 228 ],
-    threedshadow        : [ 167, 166, 170 ],
-    window              : [ 255, 255, 255 ],
-    windowframe         : [ 0, 0, 0 ],
-    windowtext          : [ 0, 0, 0 ]
+    /*
+    ---------------------------------------------------------------------------
+      DEFINE COLORS
+    ---------------------------------------------------------------------------
+    */
+
+    _colors : qx.lang.Object.carefullyMergeWith(
+    {
+      activeborder        : [ 212, 208, 200 ],
+      activecaption       : [ 51, 94, 168 ],
+      appworkspace        : [ 128, 128, 128 ],
+      background          : [ 0, 0, 64 ],
+      buttonface          : [ 235, 233, 237 ],
+      buttonhighlight     : [ 255, 255, 255 ],
+      buttonshadow        : [ 167, 166, 170 ],
+      buttontext          : [ 0, 0, 0 ],
+      captiontext         : [ 255, 255, 255 ],
+      graytext            : [ 167, 166, 170 ],
+      highlight           : [ 51, 94, 168 ],
+      highlighttext       : [ 255, 255, 255 ],
+      inactiveborder      : [ 212, 208, 200 ],
+      inactivecaption     : [ 111, 161, 217 ],
+      inactivecaptiontext : [ 255, 255, 255 ],
+      infobackground      : [ 255, 255, 225 ],
+      infotext            : [ 0, 0, 0 ],
+      menu                : [ 255, 255, 255 ],
+      menutext            : [ 0, 0, 0 ],
+      scrollbar           : [ 212, 208, 200 ],
+      threeddarkshadow    : [ 133, 135, 140 ],
+      threedface          : [ 235, 233, 237 ],
+      threedhighlight     : [ 255, 255, 255 ],
+      threedlightshadow   : [ 220, 223, 228 ],
+      threedshadow        : [ 167, 166, 170 ],
+      window              : [ 255, 255, 255 ],
+      windowframe         : [ 0, 0, 0 ],
+      windowtext          : [ 0, 0, 0 ]
+    },
+    qx.renderer.theme.ColorTheme.prototype._colors)
+  },
+  
+  defer : function(clazz)
+  {
+    qx.manager.object.ColorManager.getInstance().registerColorTheme(clazz);    
   }
+  
 });
Index: framework/source/class/qx/theme/color/WindowsLunaGreen.js
===================================================================
--- framework/source/class/qx/theme/color/WindowsLunaGreen.js	(Revision 6514)
+++ framework/source/class/qx/theme/color/WindowsLunaGreen.js	(Arbeitskopie)
@@ -20,44 +20,85 @@
 
 /* ************************************************************************
 
+#module(theme_color)
+
 ************************************************************************ */
 
 /**
- * Windows Luna Green color theme
+ * Windows luna green color theme
  */
-qx.Theme.define("qx.theme.color.WindowsLunaGreen",
+qx.Clazz.define("qx.theme.color.WindowsLunaGreen",
 {
-  title : "Windows Luna Green",
+  type : "singleton",
+  extend : qx.renderer.theme.ColorTheme,
 
-  colors :
+
+
+
+  /*
+  *****************************************************************************
+     CONSTRUCTOR
+  *****************************************************************************
+  */
+
+  construct : function() {
+    qx.renderer.theme.ColorTheme.call(this, "Windows Luna Green");
+  },
+
+
+
+
+  /*
+  *****************************************************************************
+     MEMBERS
+  *****************************************************************************
+  */
+
+  members :
   {
-    activeborder        : [ 212, 208, 200 ],
-    activecaption       : [ 139, 161, 105 ],
-    appworkspace        : [ 128, 128, 128 ],
-    background          : [ 157, 172, 189 ],
-    buttonface          : [ 236, 233, 216 ],
-    buttonhighlight     : [ 255, 255, 255 ],
-    buttonshadow        : [ 172, 168, 153 ],
-    buttontext          : [ 0, 0, 0 ],
-    captiontext         : [ 255, 255, 255 ],
-    graytext            : [ 172, 168, 153 ],
-    highlight           : [ 147, 160, 112 ],
-    highlighttext       : [ 255, 255, 255 ],
-    inactiveborder      : [ 212, 208, 200 ],
-    inactivecaption     : [ 212, 214, 186 ],
-    inactivecaptiontext : [ 255, 255, 255 ],
-    infobackground      : [ 255, 255, 225 ],
-    infotext            : [ 0, 0, 0 ],
-    menu                : [ 255, 255, 255 ],
-    menutext            : [ 0, 0, 0 ],
-    scrollbar           : [ 212, 208, 200 ],
-    threeddarkshadow    : [ 113, 111, 100 ],
-    threedface          : [ 236, 233, 216 ],
-    threedhighlight     : [ 255, 255, 255 ],
-    threedlightshadow   : [ 241, 239, 226 ],
-    threedshadow        : [ 172, 168, 153 ],
-    window              : [ 255, 255, 255 ],
-    windowframe         : [ 0, 0, 0 ],
-    windowtext          : [ 0, 0, 0 ]
+    /*
+    ---------------------------------------------------------------------------
+      DEFINE COLORS
+    ---------------------------------------------------------------------------
+    */
+
+    _colors : qx.lang.Object.carefullyMergeWith(
+    {
+      activeborder        : [ 212, 208, 200 ],
+      activecaption       : [ 139, 161, 105 ],
+      appworkspace        : [ 128, 128, 128 ],
+      background          : [ 157, 172, 189 ],
+      buttonface          : [ 236, 233, 216 ],
+      buttonhighlight     : [ 255, 255, 255 ],
+      buttonshadow        : [ 172, 168, 153 ],
+      buttontext          : [ 0, 0, 0 ],
+      captiontext         : [ 255, 255, 255 ],
+      graytext            : [ 172, 168, 153 ],
+      highlight           : [ 147, 160, 112 ],
+      highlighttext       : [ 255, 255, 255 ],
+      inactiveborder      : [ 212, 208, 200 ],
+      inactivecaption     : [ 212, 214, 186 ],
+      inactivecaptiontext : [ 255, 255, 255 ],
+      infobackground      : [ 255, 255, 225 ],
+      infotext            : [ 0, 0, 0 ],
+      menu                : [ 255, 255, 255 ],
+      menutext            : [ 0, 0, 0 ],
+      scrollbar           : [ 212, 208, 200 ],
+      threeddarkshadow    : [ 113, 111, 100 ],
+      threedface          : [ 236, 233, 216 ],
+      threedhighlight     : [ 255, 255, 255 ],
+      threedlightshadow   : [ 241, 239, 226 ],
+      threedshadow        : [ 172, 168, 153 ],
+      window              : [ 255, 255, 255 ],
+      windowframe         : [ 0, 0, 0 ],
+      windowtext          : [ 0, 0, 0 ]
+    },
+    qx.renderer.theme.ColorTheme.prototype._colors)
+  },
+  
+  defer : function(clazz)
+  {
+    qx.manager.object.ColorManager.getInstance().registerColorTheme(clazz);    
   }
+  
 });
Index: framework/source/class/qx/theme/color/WindowsClassic.js
===================================================================
--- framework/source/class/qx/theme/color/WindowsClassic.js	(Revision 6514)
+++ framework/source/class/qx/theme/color/WindowsClassic.js	(Arbeitskopie)
@@ -20,44 +20,85 @@
 
 /* ************************************************************************
 
+#module(theme_color)
+
 ************************************************************************ */
 
 /**
  * Windows classic color theme
  */
-qx.Theme.define("qx.theme.color.WindowsClassic",
+qx.Clazz.define("qx.theme.color.WindowsClassic",
 {
-  title : "Windows Classic",
+  type : "singleton",
+  extend : qx.renderer.theme.ColorTheme,
 
-  colors :
+
+
+
+  /*
+  *****************************************************************************
+     CONSTRUCTOR
+  *****************************************************************************
+  */
+
+  construct : function() {
+    qx.renderer.theme.ColorTheme.call(this, "Windows Classic");
+  },
+
+
+
+
+  /*
+  *****************************************************************************
+     MEMBERS
+  *****************************************************************************
+  */
+
+  members :
   {
-    activeborder        : [ 212, 208, 200 ],
-    activecaption       : [ 10, 36, 106 ],
-    appworkspace        : [ 128, 128, 128 ],
-    background          : [ 58, 110, 165 ],
-    buttonface          : [ 212, 208, 200 ],
-    buttonhighlight     : [ 255, 255, 255 ],
-    buttonshadow        : [ 128, 128, 128 ],
-    buttontext          : [ 0, 0, 0 ],
-    captiontext         : [ 255, 255, 255 ],
-    graytext            : [ 128, 128, 128 ],
-    highlight           : [ 10, 36, 106 ],
-    highlighttext       : [ 255, 255, 255 ],
-    inactiveborder      : [ 212, 208, 200 ],
-    inactivecaption     : [ 128, 128, 128 ],
-    inactivecaptiontext : [ 212, 208, 200 ],
-    infobackground      : [ 255, 255, 225 ],
-    infotext            : [ 0, 0, 0 ],
-    menu                : [ 212, 208, 200 ],
-    menutext            : [ 0, 0, 0 ],
-    scrollbar           : [ 212, 208, 200 ],
-    threeddarkshadow    : [ 64, 64, 64 ],
-    threedface          : [ 212, 208, 200 ],
-    threedhighlight     : [ 255, 255, 255 ],
-    threedlightshadow   : [ 212, 208, 200 ],
-    threedshadow        : [ 128, 128, 128 ],
-    window              : [ 255, 255, 255 ],
-    windowframe         : [ 0, 0, 0 ],
-    windowtext          : [ 0, 0, 0 ]
+    /*
+    ---------------------------------------------------------------------------
+      DEFINE COLORS
+    ---------------------------------------------------------------------------
+    */
+
+    _colors : qx.lang.Object.carefullyMergeWith(
+    {
+      activeborder        : [ 212, 208, 200 ],
+      activecaption       : [ 10, 36, 106 ],
+      appworkspace        : [ 128, 128, 128 ],
+      background          : [ 58, 110, 165 ],
+      buttonface          : [ 212, 208, 200 ],
+      buttonhighlight     : [ 255, 255, 255 ],
+      buttonshadow        : [ 128, 128, 128 ],
+      buttontext          : [ 0, 0, 0 ],
+      captiontext         : [ 255, 255, 255 ],
+      graytext            : [ 128, 128, 128 ],
+      highlight           : [ 10, 36, 106 ],
+      highlighttext       : [ 255, 255, 255 ],
+      inactiveborder      : [ 212, 208, 200 ],
+      inactivecaption     : [ 128, 128, 128 ],
+      inactivecaptiontext : [ 212, 208, 200 ],
+      infobackground      : [ 255, 255, 225 ],
+      infotext            : [ 0, 0, 0 ],
+      menu                : [ 212, 208, 200 ],
+      menutext            : [ 0, 0, 0 ],
+      scrollbar           : [ 212, 208, 200 ],
+      threeddarkshadow    : [ 64, 64, 64 ],
+      threedface          : [ 212, 208, 200 ],
+      threedhighlight     : [ 255, 255, 255 ],
+      threedlightshadow   : [ 212, 208, 200 ],
+      threedshadow        : [ 128, 128, 128 ],
+      window              : [ 255, 255, 255 ],
+      windowframe         : [ 0, 0, 0 ],
+      windowtext          : [ 0, 0, 0 ]
+    },
+    qx.renderer.theme.ColorTheme.prototype._colors)
+  },
+  
+  defer : function(clazz)
+  {
+    qx.manager.object.ColorManager.getInstance().registerColorTheme(clazz);    
   }
+  
 });
Index: framework/source/class/qx/theme/color/WindowsLunaSilver.js
===================================================================
--- framework/source/class/qx/theme/color/WindowsLunaSilver.js	(Revision 6514)
+++ framework/source/class/qx/theme/color/WindowsLunaSilver.js	(Arbeitskopie)
@@ -20,44 +20,85 @@
 
 /* ************************************************************************
 
+#module(theme_color)
+
 ************************************************************************ */
 
 /**
- * Windows Luna Silver color theme
+ * Windows luna silver color theme
  */
-qx.Theme.define("qx.theme.color.WindowsLunaSilver",
+qx.Clazz.define("qx.theme.color.WindowsLunaSilver",
 {
-  title : "Windows Luna Silver",
+  type : "singleton",
+  extend : qx.renderer.theme.ColorTheme,
 
-  colors :
+
+
+
+  /*
+  *****************************************************************************
+     CONSTRUCTOR
+  *****************************************************************************
+  */
+
+  construct : function() {
+    qx.renderer.theme.ColorTheme.call(this, "Windows Luna Silver");
+  },
+
+
+
+
+  /*
+  *****************************************************************************
+     MEMBERS
+  *****************************************************************************
+  */
+
+  members :
   {
-    activeborder        : [ 212, 208, 200 ],
-    activecaption       : [ 192, 192, 192 ],
-    appworkspace        : [ 128, 128, 128 ],
-    background          : [ 88, 87, 104 ],
-    buttonface          : [ 224, 223, 227 ],
-    buttonhighlight     : [ 255, 255, 255 ],
-    buttonshadow        : [ 157, 157, 161 ],
-    buttontext          : [ 0, 0, 0 ],
-    captiontext         : [ 14, 16, 16 ],
-    graytext            : [ 172, 168, 153 ],
-    highlight           : [ 178, 180, 191 ],
-    highlighttext       : [ 0, 0, 0 ],
-    inactiveborder      : [ 212, 208, 200 ],
-    inactivecaption     : [ 255, 255, 255 ],
-    inactivecaptiontext : [ 162, 161, 161 ],
-    infobackground      : [ 255, 255, 225 ],
-    infotext            : [ 0, 0, 0 ],
-    menu                : [ 255, 255, 255 ],
-    menutext            : [ 0, 0, 0 ],
-    scrollbar           : [ 212, 208, 200 ],
-    threeddarkshadow    : [ 113, 111, 100 ],
-    threedface          : [ 224, 223, 227 ],
-    threedhighlight     : [ 255, 255, 255 ],
-    threedlightshadow   : [ 241, 239, 226 ],
-    threedshadow        : [ 157, 157, 161 ],
-    window              : [ 255, 255, 255 ],
-    windowframe         : [ 0, 0, 0 ],
-    windowtext          : [ 0, 0, 0 ]
+    /*
+    ---------------------------------------------------------------------------
+      DEFINE COLORS
+    ---------------------------------------------------------------------------
+    */
+
+    _colors : qx.lang.Object.carefullyMergeWith(
+    {
+      activeborder        : [ 212, 208, 200 ],
+      activecaption       : [ 192, 192, 192 ],
+      appworkspace        : [ 128, 128, 128 ],
+      background          : [ 88, 87, 104 ],
+      buttonface          : [ 224, 223, 227 ],
+      buttonhighlight     : [ 255, 255, 255 ],
+      buttonshadow        : [ 157, 157, 161 ],
+      buttontext          : [ 0, 0, 0 ],
+      captiontext         : [ 14, 16, 16 ],
+      graytext            : [ 172, 168, 153 ],
+      highlight           : [ 178, 180, 191 ],
+      highlighttext       : [ 0, 0, 0 ],
+      inactiveborder      : [ 212, 208, 200 ],
+      inactivecaption     : [ 255, 255, 255 ],
+      inactivecaptiontext : [ 162, 161, 161 ],
+      infobackground      : [ 255, 255, 225 ],
+      infotext            : [ 0, 0, 0 ],
+      menu                : [ 255, 255, 255 ],
+      menutext            : [ 0, 0, 0 ],
+      scrollbar           : [ 212, 208, 200 ],
+      threeddarkshadow    : [ 113, 111, 100 ],
+      threedface          : [ 224, 223, 227 ],
+      threedhighlight     : [ 255, 255, 255 ],
+      threedlightshadow   : [ 241, 239, 226 ],
+      threedshadow        : [ 157, 157, 161 ],
+      window              : [ 255, 255, 255 ],
+      windowframe         : [ 0, 0, 0 ],
+      windowtext          : [ 0, 0, 0 ]
+    },
+    qx.renderer.theme.ColorTheme.prototype._colors)
+  },
+  
+  defer : function(clazz)
+  {
+    qx.manager.object.ColorManager.getInstance().registerColorTheme(clazz);    
   }
+  
 });
Index: framework/source/class/qx/theme/color/WindowsLunaBlue.js
===================================================================
--- framework/source/class/qx/theme/color/WindowsLunaBlue.js	(Revision 6514)
+++ framework/source/class/qx/theme/color/WindowsLunaBlue.js	(Arbeitskopie)
@@ -20,44 +20,85 @@
 
 /* ************************************************************************
 
+#module(theme_color)
+
 ************************************************************************ */
 
 /**
- * Windows Luna Blue color theme
+ * Windows luna blue color theme
  */
-qx.Theme.define("qx.theme.color.WindowsLunaBlue",
+qx.Clazz.define("qx.theme.color.WindowsLunaBlue",
 {
-  title : "Windows Luna Blue",
+  type : "singleton",
+  extend : qx.renderer.theme.ColorTheme,
 
-  colors :
+
+
+
+  /*
+  *****************************************************************************
+     CONSTRUCTOR
+  *****************************************************************************
+  */
+
+  construct : function() {
+    qx.renderer.theme.ColorTheme.call(this, "Windows Luna Blue");
+  },
+
+
+
+
+  /*
+  *****************************************************************************
+     MEMBERS
+  *****************************************************************************
+  */
+
+  members :
   {
-    activeborder        : [ 212, 208, 200 ],
-    activecaption       : [ 0, 84, 227 ],
-    appworkspace        : [ 128, 128, 128 ],
-    background          : [ 0, 78, 152 ],
-    buttonface          : [ 236, 233, 216 ],
-    buttonhighlight     : [ 255, 255, 255 ],
-    buttonshadow        : [ 172, 168, 153 ],
-    buttontext          : [ 0, 0, 0 ],
-    captiontext         : [ 255, 255, 255 ],
-    graytext            : [ 172, 168, 153 ],
-    highlight           : [ 49, 106, 197 ],
-    highlighttext       : [ 255, 255, 255 ],
-    inactiveborder      : [ 212, 208, 200 ],
-    inactivecaption     : [ 122, 150, 223 ],
-    inactivecaptiontext : [ 216, 228, 248 ],
-    infobackground      : [ 255, 255, 225 ],
-    infotext            : [ 0, 0, 0 ],
-    menu                : [ 255, 255, 255 ],
-    menutext            : [ 0, 0, 0 ],
-    scrollbar           : [ 212, 208, 200 ],
-    threeddarkshadow    : [ 113, 111, 100 ],
-    threedface          : [ 236, 233, 216 ],
-    threedhighlight     : [ 255, 255, 255 ],
-    threedlightshadow   : [ 241, 239, 226 ],
-    threedshadow        : [ 172, 168, 153 ],
-    window              : [ 255, 255, 255 ],
-    windowframe         : [ 0, 0, 0 ],
-    windowtext          : [ 0, 0, 0 ]
+    /*
+    ---------------------------------------------------------------------------
+      DEFINE COLORS
+    ---------------------------------------------------------------------------
+    */
+
+    _colors : qx.lang.Object.carefullyMergeWith(
+    {
+      activeborder        : [ 212, 208, 200 ],
+      activecaption       : [ 0, 84, 227 ],
+      appworkspace        : [ 128, 128, 128 ],
+      background          : [ 0, 78, 152 ],
+      buttonface          : [ 236, 233, 216 ],
+      buttonhighlight     : [ 255, 255, 255 ],
+      buttonshadow        : [ 172, 168, 153 ],
+      buttontext          : [ 0, 0, 0 ],
+      captiontext         : [ 255, 255, 255 ],
+      graytext            : [ 172, 168, 153 ],
+      highlight           : [ 49, 106, 197 ],
+      highlighttext       : [ 255, 255, 255 ],
+      inactiveborder      : [ 212, 208, 200 ],
+      inactivecaption     : [ 122, 150, 223 ],
+      inactivecaptiontext : [ 216, 228, 248 ],
+      infobackground      : [ 255, 255, 225 ],
+      infotext            : [ 0, 0, 0 ],
+      menu                : [ 255, 255, 255 ],
+      menutext            : [ 0, 0, 0 ],
+      scrollbar           : [ 212, 208, 200 ],
+      threeddarkshadow    : [ 113, 111, 100 ],
+      threedface          : [ 236, 233, 216 ],
+      threedhighlight     : [ 255, 255, 255 ],
+      threedlightshadow   : [ 241, 239, 226 ],
+      threedshadow        : [ 172, 168, 153 ],
+      window              : [ 255, 255, 255 ],
+      windowframe         : [ 0, 0, 0 ],
+      windowtext          : [ 0, 0, 0 ]
+    },
+    qx.renderer.theme.ColorTheme.prototype._colors)
+  },
+  
+  defer : function(clazz)
+  {
+    qx.manager.object.ColorManager.getInstance().registerColorTheme(clazz);    
   }
+  
 });
